/**
 * \file Mainpage.h
 * \brief Project documentation file.
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 */

/**
 * \mainpage Software Framework Template Project
 *
 * Links to application examples
 *
 * \subsection Ifx_SoftwareFramework_MainPage_Intro Software framework introduction
 *   - \ref Ifx_SoftwareFramework_Page
 *
 * \subsection Ifx_SoftwareFramework_MainPage_ToolsUsage Usage of Software framework tools:\n
 *   - \ref Ifx_SoftwareFramework_ToolsInstall\n
 *   - \ref Ifx_SoftwareFramework_Folders\n
 *   - \ref Ifx_SoftwareFramework_Configuration\n
 *   - \ref Ifx_SoftwareFramework_MakeTargets\n
 *   - \ref Ifx_SoftwareFramework_ToolsStartEclipse\n
 *   - \ref Ifx_SoftwareFramework_Eclipse\n
 *
 * \subsection Ifx_SoftwareFramework_MainPage_AppExamples Preparing an application example\n
 *   - \ref Ifx_SoftwareFramework_MyWorkWriteCode\n
 *   - \ref Ifx_SoftwareFramework_MyWorkFunCall\n
 *   - \ref Ifx_SoftwareFramework_SystemFrequency\n
 *
 * \subsection Ifx_SoftwareFramework_MainPage_iLLD Infrastructure Drivers (iLLD)\n
 *   - \ref IfxLld_Cpu\n
 *   - \ref IfxLld_Dma\n
 *   - \ref IfxLld_Port\n
 *   - \ref IfxLld_Scu_Std_Ccu\n
 *   - \ref IfxLld_Scu_Std_Wdt_Endinit and \link IfxLld_Scu_Std_Wdt_Operative\n
 *   - \ref IfxLld_Src\n
 *   - \ref IfxLld_Stm\n
 */

/* Instructions to user
 * 1) Change the name of the main page with application example name
 * 2) Remove sections about framework tolls if they are not needed for customer
 *    by defining a macro "IFX_SWFWDOCUMENTATION_EXCLUDE" in Ifx_Cfg.h
 *
 *
 * */
